import typeData from '../data/type';

import html from '$utils/tool/html';

export default <LibMixins>{

    data(){
        return {
            typeData,
            content:''
        }
    },

    methods:{
        fetch(){
            return this.$request({
                url:'page/page_show',
                data:{
                    id: this.item.id,
                },
                cache:true
            }).then((data)=>{
                this.content = html.parseHtml((data.data || {}).content);
            })
        }
    },

    computed:{
        item(){
            return this.typeData[this.type] || {};
        }
    },

    mounted(){
        this.fetch();
    }

}
